Module:    html-parse-play
Synopsis:  Parsing HTML
Author:    Chris Double
Copyright: (C) 2000, Chris Double.  All rights reserved.

define method main () => ()
  let page = get-web-page(#"http", "www.double.co.nz", 80, "/");
  let (tidied-page, warnings, errors) = html-tidy(page);
  if(warnings)
    format-out("\nWarnings:\n");
    for(warning in warnings)
      format-out("  %s\n", warning)
    end for;
  else
    format-out("No Warnings.");
  end if;

  if(errors)
    format-out("Errors:\n");
    for(error in errors)
      format-out("  %s\n", error)
    end for;
  else
    format-out("No Errors.");
  end if;

end method main;

begin
  start-http-client();
  main();
end;
